Get Current Session Rights

Get Current Session Rights
Returns the rights associated with the current session. Please note that the 'impliedRights' and 'isPublishable' fields will not be set for rights returned from this endpoint.

Returns the rights associated with the current session.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/sessions/current/rights
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Rights of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineRights1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string",
            "description": "string",
            "bundleKey": "string",
            "category": "string",
            "serviceNamespace": "string",
            "rightType": "string",
            "impliedRights": [
                {
                    "name": "string",
                    "id": "string"
                }
            ],
            "isPublishable": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/sessions/current/rights?page=value&pageSize=v